Loading...
Searching...
No Matches
apr_file_info.h File Reference

APR File Information. More...

`#include "apr.h"`
`#include "apr_user.h"`
`#include "apr_pools.h"`
`#include "apr_tables.h"`
`#include "apr_time.h"`
`#include "apr_errno.h"`
Include dependency graph for apr_file_info.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | apr_finfo_t

## Macros

#define | APR_FPROT_USETID 0x8000
#define | APR_FPROT_UREAD 0x0400
#define | APR_FPROT_UWRITE 0x0200
#define | APR_FPROT_UEXECUTE 0x0100
#define | APR_FPROT_GSETID 0x4000
#define | APR_FPROT_GREAD 0x0040
#define | APR_FPROT_GWRITE 0x0020
#define | APR_FPROT_GEXECUTE 0x0010
#define | APR_FPROT_WSTICKY 0x2000
#define | APR_FPROT_WREAD 0x0004
#define | APR_FPROT_WWRITE 0x0002
#define | APR_FPROT_WEXECUTE 0x0001
#define | APR_FPROT_OS_DEFAULT 0x0FFF
#define | APR_FPROT_FILE_SOURCE_PERMS 0x1000
#define | APR_USETID APR_FPROT_USETID
#define | APR_UREAD APR_FPROT_UREAD
#define | APR_UWRITE APR_FPROT_UWRITE
#define | APR_UEXECUTE APR_FPROT_UEXECUTE
#define | APR_GSETID APR_FPROT_GSETID
#define | APR_GREAD APR_FPROT_GREAD
#define | APR_GWRITE APR_FPROT_GWRITE
#define | APR_GEXECUTE APR_FPROT_GEXECUTE
#define | APR_WSTICKY APR_FPROT_WSTICKY
#define | APR_WREAD APR_FPROT_WREAD
#define | APR_WWRITE APR_FPROT_WWRITE
#define | APR_WEXECUTE APR_FPROT_WEXECUTE
#define | APR_OS_DEFAULT APR_FPROT_OS_DEFAULT
#define | APR_FILE_SOURCE_PERMS APR_FPROT_FILE_SOURCE_PERMS
#define | APR_FINFO_LINK 0x00000001
#define | APR_FINFO_MTIME 0x00000010
#define | APR_FINFO_CTIME 0x00000020
#define | APR_FINFO_ATIME 0x00000040
#define | APR_FINFO_SIZE 0x00000100
#define | APR_FINFO_CSIZE 0x00000200
#define | APR_FINFO_DEV 0x00001000
#define | APR_FINFO_INODE 0x00002000
#define | APR_FINFO_NLINK 0x00004000
#define | APR_FINFO_TYPE 0x00008000
#define | APR_FINFO_USER 0x00010000
#define | APR_FINFO_GROUP 0x00020000
#define | APR_FINFO_UPROT 0x00100000
#define | APR_FINFO_GPROT 0x00200000
#define | APR_FINFO_WPROT 0x00400000
#define | APR_FINFO_ICASE 0x01000000
#define | APR_FINFO_NAME 0x02000000
#define | APR_FINFO_MIN 0x00008170
#define | APR_FINFO_IDENT 0x00003000
#define | APR_FINFO_OWNER 0x00030000
#define | APR_FINFO_PROT 0x00700000
#define | APR_FINFO_NORM 0x0073b170
#define | APR_FINFO_DIRENT 0x02000000
#define | APR_FILEPATH_NOTABOVEROOT 0x01
#define | APR_FILEPATH_SECUREROOTTEST 0x02
#define | APR_FILEPATH_SECUREROOT 0x03
#define | APR_FILEPATH_NOTRELATIVE 0x04
#define | APR_FILEPATH_NOTABSOLUTE 0x08
#define | APR_FILEPATH_NATIVE 0x10
#define | APR_FILEPATH_TRUENAME 0x20
#define | APR_FILEPATH_ENCODING_UNKNOWN 0
#define | APR_FILEPATH_ENCODING_LOCALE 1
#define | APR_FILEPATH_ENCODING_UTF8 2

## Typedefs

typedef struct apr_dir_t | apr_dir_t
typedef apr_int32_t | apr_fileperms_t
typedef dev_t | apr_dev_t
typedef struct apr_finfo_t | apr_finfo_t

## Enumerations

enum | apr_filetype_e { APR_NOFILE = 0 , APR_REG , APR_DIR , APR_CHR , APR_BLK , APR_PIPE , APR_LNK , APR_SOCK , APR_UNKFILE = 127 }

## Functions

apr_status_t | apr_stat (apr_finfo_t *finfo, const char *fname, apr_int32_t wanted, apr_pool_t *pool)
apr_status_t | apr_dir_open (apr_dir_t **new_dir, const char *dirname, apr_pool_t *pool)
apr_status_t | apr_dir_close (apr_dir_t *thedir)
apr_status_t | apr_dir_read (apr_finfo_t *finfo, apr_int32_t wanted, apr_dir_t *thedir)
apr_status_t | apr_dir_rewind (apr_dir_t *thedir)
apr_status_t | apr_filepath_root (const char **rootpath, const char **filepath, apr_int32_t flags, apr_pool_t *p)
apr_status_t | apr_filepath_merge (char **newpath, const char *rootpath, const char *addpath, apr_int32_t flags, apr_pool_t *p)
apr_status_t | apr_filepath_list_split (apr_array_header_t **pathelts, const char *liststr, apr_pool_t *p)
apr_status_t | apr_filepath_list_merge (char **liststr, apr_array_header_t *pathelts, apr_pool_t *p)
apr_status_t | apr_filepath_get (char **path, apr_int32_t flags, apr_pool_t *p)
apr_status_t | apr_filepath_set (const char *path, apr_pool_t *p)
apr_status_t | apr_filepath_encoding (int *style, apr_pool_t *p)

## Detailed Description

APR File Information.